#!/bin/bash

typeset -i PID=$1
typeset -i INTERVAL=$2

if [ $PID -eq 0 ] ; then
  echo "PID as parameter is required."
  exit 1
fi

if [ $INTERVAL -eq 0 ] ; then
  typeset -i INTERVAL=60
fi

# Header
echo -n "TIMESTAMP           "
ps -p $PID -o pid,vsize,size,rss,comm | head -n 1

# Data
while [ 1 ] ; do

  date=$(date '+%Y-%m-%d %H:%M:%S')
  echo -n "$date "
  ps -p $PID -o pid,vsize,size,rss,comm | tail -n 1

  sleep $INTERVAL
done
